# Phone Numbers

Provision, inspect, and manage phone numbers used by agents and campaign execution flows.

## GET /phone-numbers

> List Phone Numbers

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"phone-numbers","description":"Provision, inspect, and manage phone numbers used by agents and campaign execution flows."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"PaginatedResponse_PhoneNumberOut_":{"properties":{"data":{"items":{"$ref":"#/components/schemas/PhoneNumberOut"},"type":"array","title":"Data"},"meta":{"$ref":"#/components/schemas/MetaOut"},"query":{"$ref":"#/components/schemas/QueryOut"},"aggregations":{"$ref":"#/components/schemas/AggregationsOut"}},"type":"object","required":["data","meta","query"],"title":"PaginatedResponse[PhoneNumberOut]"},"PhoneNumberOut":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"label":{"type":"string","title":"Label"},"e164_number":{"type":"string","title":"E164 Number"},"source":{"$ref":"#/components/schemas/PhoneNumberSource"},"supports_inbound":{"type":"boolean","title":"Supports Inbound"},"supports_outbound":{"type":"boolean","title":"Supports Outbound"},"telnyx_number_id":{"title":"Telnyx Number Id","type":"string"},"elevenlabs_phone_number_id":{"title":"Elevenlabs Phone Number Id","type":"string"},"assigned_agent_id":{"title":"Assigned Agent Id","type":"string"},"inbound_trunk":{"title":"Inbound Trunk","additionalProperties":true,"type":"object"},"outbound_trunk":{"title":"Outbound Trunk","additionalProperties":true,"type":"object"},"is_included_in_plan":{"type":"boolean","title":"Is Included In Plan"},"monthly_price_cents":{"type":"integer","title":"Monthly Price Cents"}},"type":"object","required":["id","label","e164_number","source","supports_inbound","supports_outbound","telnyx_number_id","elevenlabs_phone_number_id","assigned_agent_id","inbound_trunk","outbound_trunk","is_included_in_plan","monthly_price_cents"],"title":"PhoneNumberOut"},"PhoneNumberSource":{"type":"string","enum":["telnyx","manual"],"title":"PhoneNumberSource"},"MetaOut":{"properties":{"total":{"type":"integer","title":"Total"},"limit":{"type":"integer","title":"Limit"},"offset":{"type":"integer","title":"Offset"},"sort":{"$ref":"#/components/schemas/SortOut"}},"type":"object","required":["total","limit","offset"],"title":"MetaOut"},"SortOut":{"properties":{"field":{"type":"string","title":"Field"},"direction":{"type":"string","enum":["asc","desc"],"title":"Direction"}},"type":"object","required":["field","direction"],"title":"SortOut"},"QueryOut":{"properties":{"q":{"title":"Q","type":"string"},"filters":{"additionalProperties":true,"type":"object","title":"Filters"},"date_from":{"title":"Date From","type":"string","format":"date-time"},"date_to":{"title":"Date To","type":"string","format":"date-time"},"sort":{"$ref":"#/components/schemas/SortOut"}},"type":"object","title":"QueryOut"},"AggregationsOut":{"properties":{"quick_filters":{"title":"Quick Filters","additionalProperties":{"type":"integer"},"type":"object"},"extra":{"title":"Extra","additionalProperties":true,"type":"object"}},"type":"object","title":"AggregationsOut"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/phone-numbers":{"get":{"tags":["phone-numbers"],"summary":"List Phone Numbers","operationId":"list_phone_numbers_phone_numbers_get","parameters":[{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Deleted"}},{"name":"only_deleted","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Only Deleted"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":200,"minimum":1,"default":10,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0,"title":"Offset"}},{"name":"q","in":"query","required":false,"schema":{"title":"Q","type":"string"}},{"name":"sort_field","in":"query","required":false,"schema":{"title":"Sort Field","type":"string"}},{"name":"sort_dir","in":"query","required":false,"schema":{"enum":["asc","desc"],"type":"string","default":"desc","title":"Sort Dir"}},{"name":"include_aggregations","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Aggregations"}},{"name":"date_from","in":"query","required":false,"schema":{"title":"Date From","type":"string"}},{"name":"date_to","in":"query","required":false,"schema":{"title":"Date To","type":"string"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"responses":{"200":{"description":"Request completed successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedResponse_PhoneNumberOut_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## POST /phone-numbers

> Create Phone Number Route

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"phone-numbers","description":"Provision, inspect, and manage phone numbers used by agents and campaign execution flows."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"PhoneNumberCreate":{"properties":{"label":{"type":"string","title":"Label"},"e164_number":{"type":"string","title":"E164 Number"},"source":{"$ref":"#/components/schemas/PhoneNumberSource","default":"telnyx"},"supports_inbound":{"type":"boolean","title":"Supports Inbound","default":true},"supports_outbound":{"type":"boolean","title":"Supports Outbound","default":true},"telnyx_number_id":{"title":"Telnyx Number Id","type":"string"},"inbound_trunk":{"$ref":"#/components/schemas/TrunkConfig"},"outbound_trunk":{"$ref":"#/components/schemas/TrunkConfig"},"assigned_agent_id":{"title":"Assigned Agent Id","type":"string"}},"type":"object","required":["label","e164_number"],"title":"PhoneNumberCreate"},"PhoneNumberSource":{"type":"string","enum":["telnyx","manual"],"title":"PhoneNumberSource"},"TrunkConfig":{"properties":{"settings":{"additionalProperties":true,"type":"object","title":"Settings"},"credentials":{"title":"Credentials","additionalProperties":true,"type":"object"}},"additionalProperties":true,"type":"object","title":"TrunkConfig","description":"Represents SIP trunk configuration passed to ElevenLabs."},"PhoneNumberOut":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"label":{"type":"string","title":"Label"},"e164_number":{"type":"string","title":"E164 Number"},"source":{"$ref":"#/components/schemas/PhoneNumberSource"},"supports_inbound":{"type":"boolean","title":"Supports Inbound"},"supports_outbound":{"type":"boolean","title":"Supports Outbound"},"telnyx_number_id":{"title":"Telnyx Number Id","type":"string"},"elevenlabs_phone_number_id":{"title":"Elevenlabs Phone Number Id","type":"string"},"assigned_agent_id":{"title":"Assigned Agent Id","type":"string"},"inbound_trunk":{"title":"Inbound Trunk","additionalProperties":true,"type":"object"},"outbound_trunk":{"title":"Outbound Trunk","additionalProperties":true,"type":"object"},"is_included_in_plan":{"type":"boolean","title":"Is Included In Plan"},"monthly_price_cents":{"type":"integer","title":"Monthly Price Cents"}},"type":"object","required":["id","label","e164_number","source","supports_inbound","supports_outbound","telnyx_number_id","elevenlabs_phone_number_id","assigned_agent_id","inbound_trunk","outbound_trunk","is_included_in_plan","monthly_price_cents"],"title":"PhoneNumberOut"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/phone-numbers":{"post":{"tags":["phone-numbers"],"summary":"Create Phone Number Route","operationId":"create_phone_number_route_phone_numbers_post","parameters":[{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PhoneNumberCreate"}}}},"responses":{"201":{"description":"Resource created successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PhoneNumberOut"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## GET /phone-numbers/{id}

> Get Phone Number

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"phone-numbers","description":"Provision, inspect, and manage phone numbers used by agents and campaign execution flows."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"PhoneNumberOut":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"label":{"type":"string","title":"Label"},"e164_number":{"type":"string","title":"E164 Number"},"source":{"$ref":"#/components/schemas/PhoneNumberSource"},"supports_inbound":{"type":"boolean","title":"Supports Inbound"},"supports_outbound":{"type":"boolean","title":"Supports Outbound"},"telnyx_number_id":{"title":"Telnyx Number Id","type":"string"},"elevenlabs_phone_number_id":{"title":"Elevenlabs Phone Number Id","type":"string"},"assigned_agent_id":{"title":"Assigned Agent Id","type":"string"},"inbound_trunk":{"title":"Inbound Trunk","additionalProperties":true,"type":"object"},"outbound_trunk":{"title":"Outbound Trunk","additionalProperties":true,"type":"object"},"is_included_in_plan":{"type":"boolean","title":"Is Included In Plan"},"monthly_price_cents":{"type":"integer","title":"Monthly Price Cents"}},"type":"object","required":["id","label","e164_number","source","supports_inbound","supports_outbound","telnyx_number_id","elevenlabs_phone_number_id","assigned_agent_id","inbound_trunk","outbound_trunk","is_included_in_plan","monthly_price_cents"],"title":"PhoneNumberOut"},"PhoneNumberSource":{"type":"string","enum":["telnyx","manual"],"title":"PhoneNumberSource"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/phone-numbers/{id}":{"get":{"tags":["phone-numbers"],"summary":"Get Phone Number","operationId":"get_phone_number_phone_numbers__id__get","parameters":[{"name":"id","in":"path","required":true,"schema":{"title":"Id","type":"string","format":"uuid"}},{"name":"obj_id","in":"query","required":false,"schema":{"title":"Obj Id","type":"string","format":"uuid"}},{"name":"agent_id","in":"query","required":false,"schema":{"title":"Agent Id","type":"string","format":"uuid"}},{"name":"customer_id","in":"query","required":false,"schema":{"title":"Customer Id","type":"string","format":"uuid"}},{"name":"campaign_id","in":"query","required":false,"schema":{"title":"Campaign Id","type":"string","format":"uuid"}},{"name":"knowledge_base_id","in":"query","required":false,"schema":{"title":"Knowledge Base Id","type":"string","format":"uuid"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"responses":{"200":{"description":"Request completed successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PhoneNumberOut"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## DELETE /phone-numbers/{id}

> Delete Phone Number Route

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"phone-numbers","description":"Provision, inspect, and manage phone numbers used by agents and campaign execution flows."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/phone-numbers/{id}":{"delete":{"tags":["phone-numbers"],"summary":"Delete Phone Number Route","operationId":"delete_phone_number_route_phone_numbers__id__delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"title":"Id","type":"string","format":"uuid"}},{"name":"obj_id","in":"query","required":false,"schema":{"title":"Obj Id","type":"string","format":"uuid"}},{"name":"agent_id","in":"query","required":false,"schema":{"title":"Agent Id","type":"string","format":"uuid"}},{"name":"customer_id","in":"query","required":false,"schema":{"title":"Customer Id","type":"string","format":"uuid"}},{"name":"campaign_id","in":"query","required":false,"schema":{"title":"Campaign Id","type":"string","format":"uuid"}},{"name":"knowledge_base_id","in":"query","required":false,"schema":{"title":"Knowledge Base Id","type":"string","format":"uuid"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"responses":{"204":{"description":"Request completed successfully with no response body."},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## PATCH /phone-numbers/{id}

> Update Phone Number Route

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"phone-numbers","description":"Provision, inspect, and manage phone numbers used by agents and campaign execution flows."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"PhoneNumberUpdate":{"properties":{"label":{"title":"Label","type":"string"},"e164_number":{"title":"E164 Number","type":"string"},"source":{"$ref":"#/components/schemas/PhoneNumberSource"},"supports_inbound":{"title":"Supports Inbound","type":"boolean"},"supports_outbound":{"title":"Supports Outbound","type":"boolean"},"telnyx_number_id":{"title":"Telnyx Number Id","type":"string"},"inbound_trunk":{"$ref":"#/components/schemas/TrunkConfig"},"outbound_trunk":{"$ref":"#/components/schemas/TrunkConfig"},"assigned_agent_id":{"title":"Assigned Agent Id","type":"string"},"is_included_in_plan":{"title":"Is Included In Plan","type":"boolean"},"monthly_price_cents":{"title":"Monthly Price Cents","type":"integer"}},"type":"object","title":"PhoneNumberUpdate"},"PhoneNumberSource":{"type":"string","enum":["telnyx","manual"],"title":"PhoneNumberSource"},"TrunkConfig":{"properties":{"settings":{"additionalProperties":true,"type":"object","title":"Settings"},"credentials":{"title":"Credentials","additionalProperties":true,"type":"object"}},"additionalProperties":true,"type":"object","title":"TrunkConfig","description":"Represents SIP trunk configuration passed to ElevenLabs."},"PhoneNumberOut":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"label":{"type":"string","title":"Label"},"e164_number":{"type":"string","title":"E164 Number"},"source":{"$ref":"#/components/schemas/PhoneNumberSource"},"supports_inbound":{"type":"boolean","title":"Supports Inbound"},"supports_outbound":{"type":"boolean","title":"Supports Outbound"},"telnyx_number_id":{"title":"Telnyx Number Id","type":"string"},"elevenlabs_phone_number_id":{"title":"Elevenlabs Phone Number Id","type":"string"},"assigned_agent_id":{"title":"Assigned Agent Id","type":"string"},"inbound_trunk":{"title":"Inbound Trunk","additionalProperties":true,"type":"object"},"outbound_trunk":{"title":"Outbound Trunk","additionalProperties":true,"type":"object"},"is_included_in_plan":{"type":"boolean","title":"Is Included In Plan"},"monthly_price_cents":{"type":"integer","title":"Monthly Price Cents"}},"type":"object","required":["id","label","e164_number","source","supports_inbound","supports_outbound","telnyx_number_id","elevenlabs_phone_number_id","assigned_agent_id","inbound_trunk","outbound_trunk","is_included_in_plan","monthly_price_cents"],"title":"PhoneNumberOut"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/phone-numbers/{id}":{"patch":{"tags":["phone-numbers"],"summary":"Update Phone Number Route","operationId":"update_phone_number_route_phone_numbers__id__patch","parameters":[{"name":"id","in":"path","required":true,"schema":{"title":"Id","type":"string","format":"uuid"}},{"name":"obj_id","in":"query","required":false,"schema":{"title":"Obj Id","type":"string","format":"uuid"}},{"name":"agent_id","in":"query","required":false,"schema":{"title":"Agent Id","type":"string","format":"uuid"}},{"name":"customer_id","in":"query","required":false,"schema":{"title":"Customer Id","type":"string","format":"uuid"}},{"name":"campaign_id","in":"query","required":false,"schema":{"title":"Campaign Id","type":"string","format":"uuid"}},{"name":"knowledge_base_id","in":"query","required":false,"schema":{"title":"Knowledge Base Id","type":"string","format":"uuid"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PhoneNumberUpdate"}}}},"responses":{"200":{"description":"Request completed successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PhoneNumberOut"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aurorasuite.ai/api-reference/phone-numbers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
